<?php
include '../system/bd.php';
include '../system/cook.php';
include ("../system/gzip.php");
if(isset($_SESSION['auth']) && $_SESSION['auth']==1){
include '../system/head.php';


switch($_GET[mod]){
default:

echo ' <div class="title">Создать клан </div>';

echo ' <div class="bor1"><div class="bor2"><div class="bor3"><div class="bor4"><div class="bor_bg item_center"> ';
echo" Для основания клана нужно 100 золота <br>";

echo ' </div> </div> </div> </div></div>';

 echo " <div class='block'>
<font color='red'> ";

if(empty($user[clan])){
if (('chat_clear') && isset($_GET['act']) && $_GET['act']=='clear1')  { 

echo" Название может содержать от 3 до 25-ти рус. или латин. символов ";}
echo " </font>";


if(empty($_POST[name])){
echo "<form action=\"index.php?\" method=\"post\">";

    

echo" <center>
Название клана:<br/>";
echo" 
 <input class='input' type=\"text\" size=\"25\" name=\"name\" maxlength=\"25\"/><br/>";
echo '<input class="button" type="submit" value="Создать" /></form>
</center> </div>';

echo'<div class="block_link">';
echo"<a href='../ratings.php?mod=clan'>
<img src='../img/images/arrow.png'> Лучшие банды</a></div>";

}else{


if(!empty($user[clan])){

echo"
<div class='title'>Ошибка</div>
 <div class='block'> Вы уже состоите в банде!</div>";
echo'<div class="block_link">';
echo"<a href=\"index.php\">
<img src='../img/imager/arrow.png'> Вернуться</a></div>";

}else{


if($user[gold]<"100"){
echo' Для основания банды нужно иметь 100 золота.';

echo'<div class="ssl">';
echo"<a href=\"banda.php\">&nbsp <img src=\"pic/main/rotate.png\"> Вернуться</a></div>";
}else{
$name=htmlspecialchars($_POST[name]);

if(mb_strlen($name,'utf-8') < 3)
{
header("Location: index.php?act=clear1");
exit;
}

if(mb_strlen($name,'utf-8') > 25)
{
header("Location: index.php?act=clear1");
exit;
}



$dater = time();
mysql_query("INSERT INTO `clans` SET  `leader` = '$user[id]',`lvl` = '1',`datareg` = '$dater',`composition` = '25',`name` = '".mysql_real_escape_string($_POST['name'])."' ,`attack` = '10',`def` = '10' ");
$new_id = mysql_insert_id();
mysql_query("UPDATE `user` SET `gold`= `gold` -'100',`clan` = '".mysql_insert_id()."', `clan_prava` = 'leader' WHERE `id` = '$user[id]' ");

echo" <div class'block'> Клан: <b>$_POST[name]</b> успешно основан!</div></div>";
}}}
}else{

header ("Location: /clan/clan.php");

}
 
}
}else{
header ("Location: index.php"); exit;
}
include '../system/foot.php';
?>
